# Uses of Interface
org.springframework.util.concurrent.ListenableFuture

Packages that use ListenableFuture
Package
Description
org.springframework.core.task
This package defines Spring's core TaskExecutor abstraction, and provides SyncTaskExecutor and SimpleAsyncTaskExecutor implementations.
org.springframework.core.task.support
Support classes for Spring's TaskExecutor abstraction.
org.springframework.util.concurrent
Useful generic `java.util.concurrent.Future` extensions.

## Uses of ListenableFuture in org.springframework.core.task

Methods in org.springframework.core.task that return ListenableFuture
Modifier and Type
Method
Description
`ListenableFuture<?>`
AsyncListenableTaskExecutor.`submitListenable(Runnable task)`
Deprecated, for removal: This API element is subject to removal in a future version.
in favor of `AsyncTaskExecutor.submitCompletable(Runnable)`
`<T> ListenableFuture<T>`
AsyncListenableTaskExecutor.`submitListenable(Callable<T> task)`
Deprecated, for removal: This API element is subject to removal in a future version.
in favor of `AsyncTaskExecutor.submitCompletable(Callable)`
`ListenableFuture<?>`
SimpleAsyncTaskExecutor.`submitListenable(Runnable task)`
`<T> ListenableFuture<T>`
SimpleAsyncTaskExecutor.`submitListenable(Callable<T> task)`

## Uses of ListenableFuture in org.springframework.core.task.support

Methods in org.springframework.core.task.support that return ListenableFuture
Modifier and Type
Method
Description
`ListenableFuture<?>`
TaskExecutorAdapter.`submitListenable(Runnable task)`
`<T> ListenableFuture<T>`
TaskExecutorAdapter.`submitListenable(Callable<T> task)`

## Uses of ListenableFuture in org.springframework.util.concurrent

Classes in org.springframework.util.concurrent that implement ListenableFuture
Modifier and Type
Class
Description
`class`
`CompletableToListenableFutureAdapter<T>`
Deprecated, for removal: This API element is subject to removal in a future version.
as of 6.0, with no concrete replacement
`class`
`ListenableFutureAdapter<T,S>`
Deprecated, for removal: This API element is subject to removal in a future version.
as of 6.0, in favor of `CompletableFuture`
`class`
`ListenableFutureTask<T>`
Deprecated, for removal: This API element is subject to removal in a future version.
as of 6.0, with no concrete replacement
`class`
`MonoToListenableFutureAdapter<T>`
Deprecated.
as of 6.0, in favor of `Mono.toFuture()`
`class`
`SettableListenableFuture<T>`
Deprecated, for removal: This API element is subject to removal in a future version.
as of 6.0, in favor of `CompletableFuture`
Constructors in org.springframework.util.concurrent with parameters of type ListenableFuture
Modifier
Constructor
Description
`protected`
`ListenableFutureAdapter(ListenableFuture<S> adaptee)`
Deprecated, for removal: This API element is subject to removal in a future version.
Construct a new `ListenableFutureAdapter` with the given adaptee.